"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var createSection = function (sectionData) {
    var hasText = 'text' in sectionData && sectionData.text.length > 0;
    var hasChildren = 'children' in sectionData && sectionData.children.length > 0;
    return "<details " + (!hasText && !hasChildren ? 'class="empty" tabindex="-1"' : '') + ">\n<summary>" + sectionData.title + "</summary>\n" + (hasText
        ? sectionData.text
            .split('\n\n')
            .map(function (t) { return "<p>" + t + "</p>"; })
            .join('\n')
        : '') + "\n" + (hasChildren
        ? "<div>" + sectionData.children.map(createSection).join('\n') + "</div>"
        : '') + "\n</details>";
};
var generateHtml = function (data) {
    return "<div id=\"nested-accordion\">\n" + data
        .map(createSection)
        .join('\n') + "\n</div>";
};
exports.default = generateHtml;
